Package org.apache.xmlbeans.impl.tool

## Class XSTCTester.TestCaseResult

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.XSTCTester.TestCaseResult

- Enclosing class:
    XSTCTester

      public static class XSTCTester.TestCaseResult
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestCaseResult()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addIvMessages​(Collection<XmlError> ivMessages)` |
    `void` | `addSvMessages​(Collection<XmlError> svMessages)` |
    `Collection<XmlError>` | `getIvMessages()` |
    `Collection<XmlError>` | `getSvMessages()` |
    `XSTCTester.TestCase` | `getTestCase()` |
    `boolean` | `isCrash()` |
    `boolean` | `isIvActual()` |
    `boolean` | `isSvActual()` |
    `void` | `setCrash​(boolean crash)` |
    `void` | `setIvActual​(boolean ivActual)` |
    `void` | `setSvActual​(boolean svActual)` |
    `boolean` | `succeeded​(boolean errcode)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCaseResult

          public TestCaseResult()

  - ### Method Detail

    - #### getTestCase

          public XSTCTester.TestCase getTestCase()

    - #### isSvActual

          public boolean isSvActual()

    - #### setSvActual

          public void setSvActual​(boolean svActual)

    - #### isIvActual

          public boolean isIvActual()

    - #### setIvActual

          public void setIvActual​(boolean ivActual)

    - #### getSvMessages

          public Collection<XmlError> getSvMessages()

    - #### addSvMessages

          public void addSvMessages​(Collection<XmlError> svMessages)

    - #### getIvMessages

          public Collection<XmlError> getIvMessages()

    - #### addIvMessages

          public void addIvMessages​(Collection<XmlError> ivMessages)

    - #### setCrash

          public void setCrash​(boolean crash)

    - #### isCrash

          public boolean isCrash()

    - #### succeeded

          public boolean succeeded​(boolean errcode)